.auth-wrapper {
  height: 100%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.auth-login {
  font-size: 20px;
  color: #fff;
  cursor: pointer;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  position: relative;
  font-weight: 700;
  width: 100px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  text-align: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

.auth-login::after, .auth-login::before {
  content: '';
  display: block;
  width: 0;
  -ms-flex-item-align: start;
      align-self: flex-start;
  height: 2px;
  -webkit-transition: all 0.2s ease-in;
  transition: all 0.2s ease-in;
  background-color: #ff0055;
}

.auth-login::before {
  -ms-flex-item-align: end;
      align-self: flex-end;
}

.auth-login:hover::after, .auth-login:hover::before {
  width: 100%;
}

.auth-login:hover {
  letter-spacing: 1px;
}

.auth-content {
  background-color: rgba(255, 255, 255, 0.4);
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  z-index: 2;
  width: 40vw;
  height: 500px;
  padding: 50px 20px;
  border-radius: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-transition: all 0.9s ease-in-out;
  transition: all 0.9s ease-in-out;
}

.auth-content.register {
  -webkit-transition: all 0.6s ease-in-out;
  transition: all 0.6s ease-in-out;
  left: -550px;
}

.auth-content.login {
  -webkit-transition: all 0.6s ease-in-out;
  transition: all 0.6s ease-in-out;
  left: 130%;
}

.auth-content__field {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 80%;
  position: relative;
  margin-bottom: 60px;
}

.auth-content__field:nth-child(2), .auth-content__field:nth-child(4) {
  margin-bottom: 0;
}

.auth-content__field:nth-child(3) {
  margin-bottom: 20px;
}

.auth-content__btn {
  width: 70%;
  font-size: 20px;
  padding: 10px 30px;
  outline: none;
  outline-offset: none;
  border-radius: 40px;
  background-color: #ff0055;
  color: white;
  font-size: 30px;
  border: 0.5px solid rgba(129, 0, 43, 0.2);
  -webkit-box-shadow: inset 0px 0px 10px rgba(179, 0, 59, 0.6);
          box-shadow: inset 0px 0px 10px rgba(179, 0, 59, 0.6);
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
  margin-top: 50px;
}

.auth-content__btn > span {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.auth-content__btn:hover {
  -webkit-box-shadow: inset 0px 0px 4px rgba(179, 0, 59, 0.6);
          box-shadow: inset 0px 0px 4px rgba(179, 0, 59, 0.6);
}

.auth-content__label {
  font-size: 18px;
  text-transform: uppercase;
  position: absolute;
  left: 2rem;
  top: 50%;
  width: 120px;
  cursor: text;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  color: grey;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.auth-content__input {
  width: 100%;
  font-size: 20px;
  padding: 10px 30px;
  outline: none;
  outline-offset: none;
  border-radius: 40px;
  border: 0.5px solid rgba(255, 0, 85, 0.2);
  -webkit-box-shadow: 0px 5px 10px rgba(255, 0, 85, 0.2);
          box-shadow: 0px 5px 10px rgba(255, 0, 85, 0.2);
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.auth-content__input:focus {
  border: 0.5px solid rgba(102, 255, 0, 0.2);
  -webkit-box-shadow: 0px 5px 10px rgba(102, 255, 0, 0.1);
          box-shadow: 0px 5px 10px rgba(102, 255, 0, 0.1);
}

.auth-content__input:not(:placeholder-shown).auth-content__input:not(:focus) {
  border: 0.5px solid rgba(102, 255, 0, 0.2);
  -webkit-box-shadow: 0px 5px 10px rgba(102, 255, 0, 0.1);
          box-shadow: 0px 5px 10px rgba(102, 255, 0, 0.1);
}

.auth-content__input:focus ~ .auth-content__label,
.auth-content__input:not(:placeholder-shown).auth-content__input:not(:focus) ~ .auth-content__label {
  top: -14.3px;
  left: 4rem;
  background-color: #fff;
  border-radius: 20px 20px 0 0;
  width: 120px;
  height: 30px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  z-index: 3;
}

.auth-content__title {
  letter-spacing: 3px;
  font-size: 46px;
  font-weight: 700;
}

.auth-content::before {
  -webkit-filter: blur(50px);
          filter: blur(50px);
}

.toggle-password {
  position: absolute;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  right: 50px;
  cursor: pointer;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  color: rgba(0, 0, 0, 0.5);
}

.toggle-password:hover {
  color: #000;
}

.hide {
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  opacity: 0;
}
/*# sourceMappingURL=Auth.css.map */